## org.codehaus.groovy.grails.test.event
Class GrailsTestEventPublisher

    java.lang.Object
      org.codehaus.groovy.grails.test.event.GrailsTestEventPublisher

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GrailsTestEventPublisher

extends Object
implements groovy.lang.GroovyObject

Field Summary
`protected groovy.lang.Closure` `event`

Constructor Summary
`GrailsTestEventPublisher(groovy.lang.Closure event)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `testCaseEnd(String name)`
`void` `testCaseEnd(String name, String out)`
`void` `testCaseEnd(String name, String out, String err)`
`void` `testCaseStart(String name)`
`void` `testEnd(String name)`
`void` `testFailure(String name)`
`void` `testFailure(String name, String failure)`
`void` `testFailure(String name, String failure, boolean isError)`
`void` `testFailure(String name, Throwable failure)`
`void` `testFailure(String name, Throwable failure, boolean isError)`
`void` `testStart(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### event

    protected groovy.lang.Closure event

Constructor Detail

### GrailsTestEventPublisher

    public GrailsTestEventPublisher(groovy.lang.Closure event)

Method Detail

### testCaseStart

    public void testCaseStart(String name)

### testStart

    public void testStart(String name)

### testFailure

    public void testFailure(String name,
                            Throwable failure,
                            boolean isError)

### testFailure

    public void testFailure(String name,
                            String failure,
                            boolean isError)

### testEnd

    public void testEnd(String name)

### testCaseEnd

    public void testCaseEnd(String name,
                            String out,
                            String err)

### testFailure

    public void testFailure(String name,
                            Throwable failure)

### testFailure

    public void testFailure(String name,
                            String failure)

### testFailure

    public void testFailure(String name)

### testCaseEnd

    public void testCaseEnd(String name,
                            String out)

### testCaseEnd

    public void testCaseEnd(String name)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project